#!/bin/bash
#       Gemini-Bash Versión 10.06.21
#       
#       Copyright 2021 Fabián Bonetti <mama21mama2000@yahoo.com.ar>
#       
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 3 of the License, or
#       (at your option) any later version.
#       
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#       GNU General Public License for more details.
#       
#       You should have received a copy of the GNU General Public License
#       along with this program; if not, write to the Free Software
#       Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#       MA 02110-1301, USA.
#set -x
if [ "$1" == "-r" ] ; then
    rm /tmp/gemini*
    exit 0
fi

if [ "$1" == "-l" ] ; then
    ls -alis /tmp/gemini*
    exit 0
fi

if [ "$1" == "-V" ] ; then
    echo " Gemini-Bash cliente minimalista."
    echo " Gemini-Bash, Versión 10.06.21"
    echo " (C) 2021 Fabián Bonetti"
	echo " Correo: mama21mama2000@yahoo.com.ar	gemini://reisub.nsupdate.info/fabianbonetti/"
    exit 0
fi

if [ "$1" == "-h" ] ; then
    echo " Gemini-Bash cliente minimalista."
    echo ""
    echo " Uso:"
    echo " $`basename $0` [-h] [-V] [-l] [-r]"
    echo ""
    echo " Sintaxis 1:"
    echo " $`basename $0` dominio cápsula página"
    echo ""
    echo " Sintaxis 2:"
    echo " $`basename $0` dominio cápsula libros/index.gmi"
	echo " Nota: la ultima variable se puede usar como subcarpetas."
	echo ""
	echo " Sintaxis 3: Modo Pregunta"
	echo " $`basename $0`"
	echo ""
	echo " Sintaxis 4:"
	echo " $`basename $0` reisub.nsupdate.info %s user.gemini"
	echo " Nota: gemini://reisub.nsupdate.info/user.gemini"
	echo ""
	echo " Sintaxis 5:"
	echo " $`basename $0` reisub.nsupdate.info fabianbonetti atom.xml"
	echo " Nota: gemini://reisub.nsupdate.info/fabianbonetti/atom.xml"
	echo ""
	echo " Sintaxis 6:"
	echo " Visitamos la imagen"
	echo " $`basename $0` reisub.nsupdate.info fabianbonetti media/2021/tags.jpg"
	echo ""
	echo " Listamos los archivos vistos y Visualizamos"
	echo " $`basename $0` -l"
	echo -e " \$gpaint /tmp/gemini:reisub.nsupdate.info_fabianbonetti_10062021_140842" 
	exit 0
fi

filedate=$(date +'%d%m%Y_%H%M%S')
dominio="$1"
uservar="$2"
paginavar="$3"
if [ $# -eq 0 ]; then
echo "ejemplo: reisub.nsupdate.info"
read -p 'Dominio: ' dominio
echo "ejemplo: test"
read -p 'Cápsula: ' uservar
echo "ejemplo: index"
read -p 'Página (sin extension): ' paginavar
echo  Tipos de Index
read -p "index.gemini (1) index.gmi (2)?" CONT
if [ "$CONT" = "1" ]; then
index=.gemini
printf "gemini://$dominio:1965/$uservar/$paginavar$index\r\n\r\n" | openssl s_client -quiet -connect $dominio:1965 > /tmp/gemini:"$dominio"_"$uservar"_"$paginavar$index" && clear && cat /tmp/gemini:"$dominio"_"$uservar"_"$paginavar$index" | sed '1d'
else
index=.gmi
printf "gemini://$dominio:1965/$uservar/$paginavar$index\r\n\r\n" | openssl s_client -quiet -connect $dominio:1965 > /tmp/gemini:"$dominio"_"$uservar"_"$paginavar$index" && clear && cat /tmp/gemini:"$dominio"_"$uservar"_"$paginavar$index" | sed '1d'
fi
else
printf "gemini://$dominio:1965/$uservar/$paginavar$index\r\n\r\n" | openssl s_client -quiet -connect $dominio:1965 > /tmp/gemini:"$dominio"_"$uservar"_"$filedate" && sed -i -e '1d' /tmp/gemini:"$dominio"_"$uservar"_"$filedate" && clear && cat /tmp/gemini:"$dominio"_"$uservar"_"$filedate"
fi
exit
